﻿Imports System.Windows.Forms

Public Class OptionenDialog
    Friend KartenZiehen As KartenZ
    Friend PunkteZaehlen As PunkteZ

    Private Sub OptionenDialog_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        KartenZiehen = My.Settings.KartenZiehen
        PunkteZaehlen = My.Settings.PunkteZaehlen
        Select Case KartenZiehen
            Case KartenZ.Eine
                EineZiehenRB.Checked = True
            Case KartenZ.Drei
                DreiZiehenRB.Checked = True
            Case Else
                EineZiehenRB.Checked = True
        End Select
        Select Case PunkteZaehlen
            Case PunkteZ.Standard
                StandardRB.Checked = True
            Case PunkteZ.LasVegas
                VegasRB.Checked = True
            Case PunkteZ.Keine
                KeineRB.Checked = True
            Case Else
                StandardRB.Checked = True
        End Select
        ZeigeZeitCB.Checked = My.Settings.ShowTime
        StatusleisteCB.Checked = My.Settings.ShowStatusBar
        If PunkteZaehlen = PunkteZ.LasVegas Then
            PunkteBehaltenCB.Enabled = True
        Else
            PunkteBehaltenCB.Enabled = False
        End If
        PunkteBehaltenCB.Checked = My.Settings.PunkteBehalten

    End Sub
    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub

    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub


    Private Sub EineZiehenRB_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EineZiehenRB.CheckedChanged
        If EineZiehenRB.Checked Then KartenZiehen = KartenZ.Eine
    End Sub
    Private Sub DreiZiehenRB_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DreiZiehenRB.CheckedChanged
        If DreiZiehenRB.Checked Then KartenZiehen = KartenZ.Drei
    End Sub
    Private Sub StandardRB_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles StandardRB.CheckedChanged
        If StandardRB.Checked Then
            PunkteZaehlen = PunkteZ.Standard
            PunkteBehaltenCB.Enabled = False
        End If
    End Sub
    Private Sub VegasRB_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles VegasRB.CheckedChanged
        If VegasRB.Checked Then
            PunkteZaehlen = PunkteZ.LasVegas
            PunkteBehaltenCB.Enabled = True
        End If
    End Sub
    Private Sub KeineRB_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles KeineRB.CheckedChanged
        If KeineRB.Checked Then
            PunkteZaehlen = PunkteZ.Keine
            PunkteBehaltenCB.Enabled = False
        End If
    End Sub
End Class

Public Enum PunkteZ
    Standard
    LasVegas
    Keine
End Enum
Public Enum KartenZ
    Null
    Eine
    Zwei
    Drei
End Enum

